## glpi 0.84.3+dfsg.1

=== lib/ezcomponents/Base/DESCRIPTION ===
The Base package provides the basic infrastructure that all packages rely on.
Therefore every component relies on this package.

## glpi 0.78.1

=== debian/changelog ===
glpi (0.78.1-1) unstable; urgency=low

  * Imported Upstream version 0.78.1 (Closes: 601586)
  * Remove 10_phpcas_security.patch, merged upstream
  * Bump Standards Version to 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format
  * Use PHP scripts for upgrade since upgrades involve changes on data
    and cannot be done using dbconfig. (Closes: #592630)
    Keep dbconfig for the first install.
  * Add debconf Vietnamese translation (Closes: #598610)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Dec 2010 10:45:11 +0100

glpi (0.72.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Split Choices in debconf templates
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Omar Campagne).  Closes: #578867
    - Danish (Joe Hansen).  Closes: #586594

 -- Christian Perrier <bubulle@debian.org>  Thu, 29 Jul 2010 14:39:43 -0400

glpi (0.72.4-2) unstable; urgency=high

  * Fix phpCAS XSS vulnerablity PHPCAS-52 (Closes: #574760)
  * Build-depend on quilt, and add patch for phpcas

 -- Pierre Chifflier <pollux@debian.org>  Sat, 27 Mar 2010 20:52:01 +0100

glpi (0.72.4-1) unstable; urgency=low

  * Imported Upstream version 0.72.4
  * Bump standards version to 3.8.4
  * Add Japanese debconf translation (Closes: #558076)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 13 Mar 2010 11:50:15 +0100

glpi (0.72.3-1) unstable; urgency=low

  * New upstream release
    - Bugfixes, see https://forge.indepnet.net/versions/show/372

 -- Pierre Chifflier <pollux@debian.org>  Tue, 27 Oct 2009 20:41:14 +0100

glpi (0.72.2-2) unstable; urgency=low

  * Fix SQL upgrade script (Closes: #548752)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 01 Oct 2009 13:04:32 +0200

glpi (0.72.2-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3
  * Add dbconfig-common scripts to upgrade SQL schema to 0.72.2

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Sep 2009 11:00:17 +0200

glpi (0.72-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.2
  * Reload apache after installation (Closes: #463514)
  * Update dbconfig-common data and create SQL schema during install
  * Set default language to english during install

 -- Pierre Chifflier <pollux@debian.org>  Sun, 19 Jul 2009 20:13:16 +0200

glpi (0.71.6-1) unstable; urgency=low

  * New Upstream Version
  * Bump Standards Version to 3.8.1

 -- Pierre Chifflier <pollux@debian.org>  Sun, 07 Jun 2009 22:01:11 +0200

glpi (0.71.5-1) unstable; urgency=high

  * New upstream release
  * Security: fix SQL injection in ID field (Closes: #513611)
  * Urgency high due to security fix.

 -- Pierre Chifflier <pollux@debian.org>  Sun, 01 Feb 2009 18:00:16 +0100

glpi (0.71.2-2) unstable; urgency=high

  * Replace domxml-php5-php5.php by a LGPL version (Closes: #496071)
  * Urgency high because of RC bug

 -- Pierre Chifflier <pollux@debian.org>  Fri, 07 Nov 2008 10:56:18 +0100

glpi (0.71.2-1) unstable; urgency=low

  * New upstream bugfix release

 -- Pierre Chifflier <pollux@debian.org>  Mon, 22 Sep 2008 16:03:27 +0200

glpi (0.71.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 01 Aug 2008 17:18:51 +0200

glpi (0.71-1) unstable; urgency=low

  * New upstream release (Closes: #492963)
  * Bump standards version to 3.8.0
  * Remove extra license file in lib/scriptaculous
  * Prefer php5 over php4
  * Fix unicode characters in description

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Jul 2008 11:30:00 +0200

glpi (0.70.2-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Sun, 27 Jan 2008 18:29:21 +0100

glpi (0.70-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Sun, 30 Dec 2007 19:37:58 +0100

glpi (0.68.3.2-2) unstable; urgency=low

  * Add alternate dependency on httpd (Closes: #456895)
  * Add Dutch debconf translation (Closes: #450976)
  * Bump standards version to 3.7.3 (no changes)
  * Update my email address

 -- Pierre Chifflier <pollux@debian.org>  Wed, 19 Dec 2007 15:07:09 +0100

glpi (0.68.3.2-1) unstable; urgency=high

  * New upstream security release:
    Escape shell command in PHPMailer (CVE-2007-3215)
    (Closes: #429192, #429344)
  * Add Italian debconf translation (Closes: #422915)
  * Update my email address

 -- Pierre Chifflier <chifflier@inl.fr>  Mon, 18 Jun 2007 15:03:10 +0200

glpi (0.68.3-3) unstable; urgency=low

  * Update debconf translations:
    + Galician (Closes: #413362)
    + Portuguese (Closes: #413387)
    + Romanian (Closes: #413423)
    + Russian (Closes: #413545)
    + Swedish (Closes: #413333)
    + Tamil (Closes: #413484)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon,  5 Mar 2007 20:30:59 +0100

glpi (0.68.3-2) unstable; urgency=low

  * Update debconf translations:
    + cs (Closes: #408682)

 -- Pierre Chifflier <chifflier@cpe.fr>  Wed,  7 Feb 2007 16:28:15 +0100

glpi (0.68.3-1) unstable; urgency=low

  * New upstream release
  * Updated debconf translations:
    + de (Closes: #406230)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon,  8 Jan 2007 11:26:32 +0100

glpi (0.68.2-2) unstable; urgency=low

  * Update debconf template and translations:
    + fr (Closes: #401430, #403370)
    + de (Closes: #400325)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri, 29 Dec 2006 15:20:52 +0100

glpi (0.68.2-1) unstable; urgency=low

  * Initial release (Closes: #395476)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri, 27 Oct 2006 10:26:05 +0200

=== debian/control ===
Source: glpi
Section: web
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1

Package: glpi
Architecture: all
Depends: apache2 | apache | apache-ssl | apache-perl | httpd,
    php5 | php5-cgi | libapache2-mod-php5 | php4 | php4-cgi | libapache2-mod-php4,
    php5-mysql | php4-mysql,
    debconf (>= 0.2.26) | debconf-2.0,
    dbconfig-common,
    ${misc:Depends}
Description: IT and Asset management software
 GLPI stands for "Gestionnaire libre de parc informatique",
 GLPI is the Information Resource-Manager with an additional Administration
 Interface.
 .
 You can use it to build up a database with an inventory for your company
 (computer, software, printers, ...). It has enhanced functions to make the
 daily life for the administrators easier, like a job tracking system with
 mail-notification and methods to build a database with basic information
 about your network-topology.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/glpi
GDIR=$(DESTDIR)/usr/share/glpi
GCONFDIR=$(DESTDIR)/etc/glpi
GVARDIR=$(DESTDIR)/var/lib/glpi

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/glpi.
	install -m 755 -d $(GDIR)
	install -m 755 -d $(GCONFDIR)
	install -m 755 -d $(GVARDIR)
	install -m 644 *.php $(GDIR)
	install -m 644 *.js $(GDIR)
	for dir in * ; do \
	    if [ -d "$$dir" ]; then \
	        case "$$dir" in \
		    CVS|debian) \
			echo "skipping dir $$dir" \
			;; \
		    config) \
		 	cp -ar $$dir $(GCONFDIR)/$$dir ; \
			find $(GCONFDIR)/$$dir -type d -exec chmod 750 {} \; ;\
			;; \
		    files) \
		 	cp -ar $$dir $(GVARDIR)/$$dir ; \
			find $(GVARDIR)/$$dir -type d -exec chmod 750 {} \; ;\
			;; \
		    *) \
		 	cp -ar $$dir $(GDIR)/$$dir ; \
			find $(GDIR)/$$dir -type f -exec chmod 644 {} \; ;\
		esac \
	    fi \
	done
	install -m 644 debian/apache.conf $(GCONFDIR)
	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
	# dbconfig stuff
	install -m 644 install/mysql/glpi-0.78.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
	# set default language to english
	sed -i -e 's/fr_FR/en_GB/' \
		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
	# small fix: remove copy of LGPL in lib/phpmailer and lib/tiny_mce/license.txt
	rm -f $(GDIR)/lib/scriptaculous/MIT-LICENSE
	rm -f $(GDIR)/lib/phpmailer/LICENSE
	rm -f $(GDIR)/lib/tiny_mce/license.txt
	rm -f $(GDIR)/lib/cache_lite/LICENSE
	rm -f $(GDIR)/lib/extjs/license.txt
	# delete remove.txt files
	find $(DESTDIR) -name remove.txt -exec rm -f {} \;

build:
	# nothing to do

# Build architecture-dependent files here.
binary-arch: install

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs -XCOPYING.txt -Xlicense.txt
	dh_installexamples
	dh_fixperms
	dh_compress
	dh_installdebconf -pglpi
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: clean binary-indep install

## glpi 0.78.3

=== debian/changelog ===
glpi (0.78.3-1) unstable; urgency=low

  * Imported Upstream version 0.78.3
  * Update SQL installation file name.

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 11:14:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.78.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.78.2-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql

## glpi 0.80.1

=== debian/changelog ===
glpi (0.80.1-1) unstable; urgency=low

  * Imported Upstream version 0.80.1
    - new upstream major release 0.80.0
      See https://forge.indepnet.net/projects/glpi/versions/466 for details
    - new upstream major release 0.80.1
      See https://forge.indepnet.net/projects/glpi/versions/575 for details

 -- Pierre Chifflier <pollux@debian.org>  Sat, 09 Jul 2011 22:41:27 +0200

glpi (0.78.5-1) unstable; urgency=low

  * Imported Upstream version 0.78.5 (Closes: #627663, #627668)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 23 May 2011 21:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: glpi
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.78.2-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.80.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
@@ -63,6 +63,9 @@
 	rm -f $(GDIR)/lib/extjs/license.txt
 	# delete remove.txt files
 	find $(DESTDIR) -name remove.txt -exec rm -f {} \;
+
+build-arch: build
+build-indep: build
 
 build:
 	# nothing to do
@@ -86,4 +89,4 @@
 	dh_builddeb
 
 binary: binary-indep
-.PHONY: clean binary-indep install
+.PHONY: clean binary-indep install build-arch build-indep

## glpi 0.80.5

=== debian/changelog ===
glpi (0.80.5-1) unstable; urgency=low

  * Imported Upstream version 0.80.5
  * Replace copy of font file FreeSans.ttf by a symlink, depend on ttf-freefont
  * Update copyright file

 -- Pierre Chifflier <pollux@debian.org>  Thu, 27 Oct 2011 21:36:36 +0200

glpi (0.80.2-1) unstable; urgency=medium

  * Imported Upstream version 0.80.2
    This release contains a security bugfix, so urgency medium
    (Closes: #635544)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 01 Aug 2011 20:41:15 +0200

## glpi 0.80.7

=== debian/changelog ===
glpi (0.80.7-1) unstable; urgency=high

  * Imported Upstream version 0.80.7
    - contains a security fix for a file inclusion (CVE-2011-1037)
      http://permalink.gmane.org/gmane.comp.security.full-disclosure/84497
      (Closes: #659383)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 11 Feb 2012 11:27:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
     php5-mysql | php4-mysql,
     debconf (>= 0.2.26) | debconf-2.0,
     dbconfig-common,
+    ttf-freefont,
     ${misc:Depends}
 Description: IT and Asset management software
  GLPI stands for "Gestionnaire libre de parc informatique",

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.80.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.80.3-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
@@ -63,6 +63,9 @@
 	rm -f $(GDIR)/lib/extjs/license.txt
 	# delete remove.txt files
 	find $(DESTDIR) -name remove.txt -exec rm -f {} \;
+	# fix duplicate-font-file
+	rm debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf; \
+	ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf
 
 build-arch: build
 build-indep: build
@@ -80,6 +83,7 @@
 	dh_installchangelogs CHANGELOG.txt
 	dh_installdocs -XCOPYING.txt -Xlicense.txt
 	dh_installexamples
+	dh_link
 	dh_fixperms
 	dh_compress
 	dh_installdebconf -pglpi

## glpi 0.83

=== debian/changelog ===
glpi (0.83-1) unstable; urgency=low

  * Imported Upstream version 0.83
  * Remove 01-remove-code-copy-tinymce.patch, not needed anymore
  * Update database creation script

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Apr 2012 21:32:17 +0200

glpi (0.80.7-2) unstable; urgency=high

  * Do not install embedded copy of phpCAS (Closes: #505983, #662944)
    As phpCAS is not yet packaged, this removes the related functionality.
    If you need phpCAS, see the README.Debian file for instructions.
    This closes the following security problems: CVE-2012-1104 CVE-2012-1105
  * Bump Standards Version to 3.9.3
  * Remove embedded code copy of tinymce, and depend on the Debian package
  * Remove embedded code copy of phpmailer, and replace it by the Debian
    package (Closes: #429344)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 10 Mar 2012 11:41:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-
 	# Add here commands to install the package into debian/glpi.
 	install -m 755 -d $(GDIR)
 	install -m 755 -d $(GCONFDIR)
@@ -51,14 +50,12 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.80.3-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.83-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
-	# small fix: remove copy of LGPL in lib/phpmailer and lib/tiny_mce/license.txt
+	# small fix: remove copy of LGPL
 	rm -f $(GDIR)/lib/scriptaculous/MIT-LICENSE
-	rm -f $(GDIR)/lib/phpmailer/LICENSE
-	rm -f $(GDIR)/lib/tiny_mce/license.txt
 	rm -f $(GDIR)/lib/cache_lite/LICENSE
 	rm -f $(GDIR)/lib/extjs/license.txt
 	# delete remove.txt files
@@ -66,6 +63,10 @@
 	# fix duplicate-font-file
 	rm debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf; \
 	ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf
+	# remove copy of libraries
+	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpcas
+	rm -rf $(DESTDIR)/usr/share/glpi/lib/tiny_mce
+	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpmailer
 
 build-arch: build
 build-indep: build

## glpi 0.83.31

=== debian/changelog ===
glpi (0.83.31-2) unstable; urgency=high

  * Security fixes:
    Replace embedded copy of extjs by Debian package, the embedded one
    contains a flash file built with a vulnerable version of yui (charts.swf).
    (Closes: #694642)
  * Urgency high, this is a RC bug

 -- Pierre Chifflier <pollux@debian.org>  Fri, 25 Jan 2013 11:37:09 +0100

glpi (0.83.31-1) unstable; urgency=medium

  * Imported Upstream version 0.83.31
    Security fixes:
    Add CSRF and XSS prevention (CVE-2012-4002 and CVE-2012-4003)
  * Add copyright notice for file lib/htmlawed/htmLawed.php

 -- Pierre Chifflier <pollux@debian.org>  Sun, 22 Jul 2012 21:47:18 +0200

glpi (0.83.2-1) unstable; urgency=low

  * Imported Upstream version 0.83.2

 -- Pierre Chifflier <pollux@debian.org>  Sun, 10 Jun 2012 19:06:33 +0200

glpi (0.83.1-1) unstable; urgency=low

  * Imported Upstream version 0.83.1
  * Update database creation script

 -- Pierre Chifflier <pollux@debian.org>  Sat, 28 Apr 2012 17:00:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: glpi
 Architecture: all
@@ -13,6 +13,9 @@
     debconf (>= 0.2.26) | debconf-2.0,
     dbconfig-common,
     ttf-freefont,
+    tinymce,
+    libphp-phpmailer,
+    libjs-extjs,
     ${misc:Depends}
 Description: IT and Asset management software
  GLPI stands for "Gestionnaire libre de parc informatique",

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.83-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.83.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
@@ -67,6 +67,8 @@
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpcas
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/tiny_mce
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpmailer
+	rm -rf $(DESTDIR)/usr/share/glpi/lib/extjs; \
+	ln -s /usr/share/javascript/extjs $(DESTDIR)/usr/share/glpi/lib/extjs
 
 build-arch: build
 build-indep: build

## glpi 0.83.91

=== debian/changelog ===
glpi (0.83.91-3) unstable; urgency=low

  * Move default mysql configuration to /usr/share/glpi (Closes: #714812)
  * Add --debconf-ok to ucf call in postrm (Closes: #592626)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 08 Jul 2013 11:00:52 +0200

glpi (0.83.91-2) unstable; urgency=medium

  * Remove extjs directory from binary package (Closes: #694642)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Jul 2013 18:10:42 +0200

glpi (0.83.91-1) unstable; urgency=medium

  [ Pierre Chifflier ]
  * Upload to unstable
  * Imported Upstream version 0.83.91
    Security bugfixes (Closes: #714720):
    - CVE-2013-2225 + CVE-2013-2227 (serialize + filter classname for autoload)
    - CVE-2013-2226 (multiple error-based SQL injections)
  * glpi.postinst: Convert /usr/share/glpi/lib/extjs to a symlink on upgrades.
    (Closes: #699644)
    Thanks to Andreas Beckmann for the patch.
  * Bump Standards-Version to 3.9.4
  * Update configuration for Apache 2.4 transition (Closes: #669857)
  * Recommends mysql-client and mysql-server (Closes: #683536)

  [ Gonéri Le Bouder ]
  * Add myself in Uploaders:
  * Remove the dependencies on PHP4. PHP4 is not supported upstream
    for a long time now.

 -- Pierre Chifflier <pollux@debian.org>  Tue, 02 Jul 2013 10:50:58 +0200

glpi (0.83.35+really83.7-1) experimental; urgency=low

  * Upload to experimental
  * Imported Upstream version 0.83.7

 -- Pierre Chifflier <pollux@debian.org>  Thu, 06 Dec 2012 21:41:30 +0100

glpi (0.83.35+really83.6-1) experimental; urgency=low

  * Upload to experimental
  * Imported Upstream version 0.83.5
  * Imported Upstream version 0.83.6
  * Weird version number because of upstream numbering method

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Nov 2012 17:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: web
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
+Uploaders: Gonéri Le Bouder <goneri@rulezlan.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: glpi
 Architecture: all
 Depends: apache2 | apache | apache-ssl | apache-perl | httpd,
-    php5 | php5-cgi | libapache2-mod-php5 | php4 | php4-cgi | libapache2-mod-php4,
-    php5-mysql | php4-mysql,
+    php5 | php5-cgi | libapache2-mod-php5,
+    php5-mysql,
     debconf (>= 0.2.26) | debconf-2.0,
     dbconfig-common,
     ttf-freefont,
     tinymce,
     libphp-phpmailer,
-    libjs-extjs,
     ${misc:Depends}
+Recommends: mysql-client,
+    mysql-server
 Description: IT and Asset management software
  GLPI stands for "Gestionnaire libre de parc informatique",
  GLPI is the Information Resource-Manager with an additional Administration

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	    fi \
 	done
 	install -m 644 debian/apache.conf $(GCONFDIR)
-	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/doc/glpi/
+	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/glpi/install/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
 	install -m 644 install/mysql/glpi-0.83.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
@@ -67,8 +67,7 @@
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpcas
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/tiny_mce
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpmailer
-	rm -rf $(DESTDIR)/usr/share/glpi/lib/extjs; \
-	ln -s /usr/share/javascript/extjs $(DESTDIR)/usr/share/glpi/lib/extjs
+	rm -rf $(DESTDIR)/usr/share/glpi/lib/extjs
 
 build-arch: build
 build-indep: build

## glpi 0.84.2

=== debian/changelog ===
glpi (0.84.2-1) unstable; urgency=low

  * Imported Upstream version 0.84
  * Update SQL file location in installer
  * Imported Upstream version 0.84.2 (Closes: #723837)
    Security fixes:
    - CVE-2013-5696 multiple vulnerabilities in install.php script
  * Merge patch from Adam Cécile (Closes: #722454):
    - Add 00-fix-css-typo patch
    - Add 01-upgrade-from-0.71-fix patch
    - Add missing libjs-extjs dependency
    - Add cron.d for scheduled/recurring tasks
    - Fix symlinks for external dependencies

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 17:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
 Architecture: all
 Depends: apache2 | apache | apache-ssl | apache-perl | httpd,
     php5 | php5-cgi | libapache2-mod-php5,
+    php5-cli,
     php5-mysql,
     debconf (>= 0.2.26) | debconf-2.0,
     dbconfig-common,
     ttf-freefont,
     tinymce,
     libphp-phpmailer,
+    libjs-extjs,
     ${misc:Depends}
 Recommends: mysql-client,
     mysql-server

## glpi 0.84.3+dfsg.1

=== debian/changelog ===
glpi (0.84.3+dfsg.1-1) unstable; urgency=medium

  * Repackage sources to remove sourceless flash files (Closes: #735346)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 16 Jan 2014 17:34:57 +0100

glpi (0.84.3-1) unstable; urgency=low

  * Imported Upstream version 0.84.3
  * Update copyright file
  * Bump Standards Version to 3.9.5

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Jan 2014 13:11:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Gonéri Le Bouder <goneri@rulezlan.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: glpi
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/glpi/install/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.83.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.84.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
@@ -60,9 +60,8 @@
 	rm -f $(GDIR)/lib/extjs/license.txt
 	# delete remove.txt files
 	find $(DESTDIR) -name remove.txt -exec rm -f {} \;
-	# fix duplicate-font-file
-	rm debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf; \
-	ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf
+	# fix duplicate-font-file, replaced by a link (see debian/links)
+	rm debian/glpi/usr/share/glpi/lib/ezcomponents/FreeSans.ttf
 	# remove copy of libraries
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/phpcas
 	rm -rf $(DESTDIR)/usr/share/glpi/lib/tiny_mce
@@ -88,6 +87,7 @@
 	dh_link
 	dh_fixperms
 	dh_compress
+	dh_installcron
 	dh_installdebconf -pglpi
 	dh_installdeb
 	dh_gencontrol

## glpi 0.84.8+dfsg.1

=== debian/changelog ===
glpi (0.84.8+dfsg.1-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 23 Mar 2016 16:30:44 -0700

glpi (0.84.8+dfsg.1-1) unstable; urgency=medium

  * Imported Upstream version 0.84.8
  * Cleanup sources for DFSG
  * Bump standards version to 3.9.6

 -- Pierre Chifflier <pollux@debian.org>  Sat, 18 Oct 2014 11:31:37 +0200

glpi (0.84.7+dfsg.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don’t rely on class.phpmailer.php to act as an autoloader
    (Closes: #763084)

 -- David Prévot <taffit@debian.org>  Thu, 02 Oct 2014 21:49:49 -0400

glpi (0.84.7+dfsg.1-2) unstable; urgency=medium

  * Imported Upstream version 0.84.7
  * Cleanup sources for DFSG
    Remove extjs, phpcas, phpmailer and tiny_mce (Closes: #744705)
  * Update copyright file, remove licenses for DFSG-suppressed files
  * Update MySQL installation script name
  * Remove comments in js file (contains a paypal link, lintian thinks it is a
    privacy breach)
  * Replace ttf-freefont by fonts-freefont-ttf in package dependencies
    (Closes: #738226)
  * Add php5-mysqlnd as an alternate dependency for php5-mysql
    (Closes: #746565)
  * Refreshed quilt patches
  * Use Debian package for tinymce

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Aug 2014 18:37:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: glpi
 Section: web
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Gonéri Le Bouder <goneri@rulezlan.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: glpi
 Architecture: all
 Depends: apache2 | apache | apache-ssl | apache-perl | httpd,
-    php5 | php5-cgi | libapache2-mod-php5,
-    php5-cli,
-    php5-mysql,
+    php | php-cgi | libapache2-mod-php,
+    php-cli,
+    php-mysql | php-mysqlnd,
     debconf (>= 0.2.26) | debconf-2.0,
     dbconfig-common,
-    ttf-freefont,
+    fonts-freefont-ttf,
     tinymce,
     libphp-phpmailer,
     libjs-extjs,
+    tinymce,
     ${misc:Depends}
 Recommends: mysql-client,
     mysql-server

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	install -m 644 debian/mysql.conf $(DESTDIR)/usr/share/glpi/install/
 	chmod +x $(DESTDIR)/usr/share/glpi/scripts/*.sh
 	# dbconfig stuff
-	install -m 644 install/mysql/glpi-0.84.1-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
+	install -m 644 install/mysql/glpi-0.84.6-empty.sql $(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
 	# set default language to english
 	sed -i -e 's/fr_FR/en_GB/' \
 		$(DESTDIR)/usr/share/dbconfig-common/data/glpi/install/mysql
